#
# spec file for package gnome-desktop (Version 2.28.2)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           gnome-desktop
Version:        2.28.2
Release:        0.1.1
License:        GFDLv1.1 ; GPLv2+ ; LGPLv2.1+
Summary:        The GNOME Desktop API Library
Url:            http://www.gnome.org
Group:          System/GUI/GNOME
Source:         %{name}-%{version}.tar.bz2
# PATCH-MISSING-TAG -- See http://en.opensuse.org/Packaging/Patches
Patch1:         X-KDE-SubstituteUID.dif
# PATCH-MISSING-TAG -- See http://en.opensuse.org/Packaging/Patches
Patch2:         gnome-desktop-desktop.patch
# PATCH-FEATURE-OPENSUSE gnome-desktop-recently-used-apps.patch -- Add launched .desktop files to recently used apps.
Patch3:         gnome-desktop-recently-used-apps.patch
# PATCH-FEATURE-OPENSUSE gnome-desktop-fate300461-desktop-gettext.patch fate300461 vuntz@novell.com -- Look for translation of desktop entry strings via gettext
Patch5:         gnome-desktop-fate300461-desktop-gettext.patch
BuildRequires:  fdupes
BuildRequires:  gconf2-devel
BuildRequires:  gnome-doc-utils-devel
BuildRequires:  gtk2-devel
BuildRequires:  intltool
BuildRequires:  startup-notification-devel
BuildRequires:  translation-update-upstream
BuildRequires:  update-desktop-files
Requires:       %{name}-lang = %{version}
Obsoletes:      gnome-core
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains the libgnome-desktop library that contains APIs
that really belong in libgnome/libgnomeui but have not seen enough
testing or development to be considered stable. Use them at your own
risk.

Also contained here are documents installed as part of the core GNOME
distribution: the GPL, GNOME's .desktop files, the gnome-about program,
some man pages, and GNOME's core graphics files and icons.

%package -n libgnome-desktop-2-11
License:        GFDLv1.1 ; GPLv2+ ; LGPLv2.1+
Summary:        The GNOME Desktop API Library
Group:          System/GUI/GNOME
Requires:       %{name}-lang = %{version}

%description -n libgnome-desktop-2-11
This package contains the libgnome-desktop library that contains APIs
that really belong in libgnome/libgnomeui but have not seen enough
testing or development to be considered stable. Use them at your own
risk.

Also contained here are documents installed as part of the core GNOME
distribution: the GPL, GNOME's .desktop files, the gnome-about program,
some man pages, and GNOME's core graphics files and icons.

%package devel
License:        LGPLv2.1+
Summary:        Include Files and Libraries mandatory for Development
Group:          Development/Libraries/GNOME
Requires:       gconf2-devel
Requires:       gtk2-devel
Requires:       libgnome-desktop-2-11 = %{version}
Requires:       startup-notification-devel
Obsoletes:      gnome-desktop-doc <= 2.25.90
Provides:       gnome-desktop-doc = 2.25.90

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.

%lang_package
%prep
%setup -q
translation-update-upstream
%patch1
%patch2 -p0
%patch3 -p1
%patch5 -p0

%build
%configure --with-pic\
	--disable-static\
	--disable-scrollkeeper\
	--with-gnome-distributor="SUSE"\
        --disable-date-in-gnome-version
make %{?jobs:-j%jobs}

%install
%makeinstall
%if 0%{?suse_version} <= 1120
%{__rm} %{buildroot}%{_datadir}/locale/en@shaw/LC_MESSAGES/*
%endif
%find_lang %{name}-2.0
%find_lang fdl %{name}-2.0.lang
%find_lang gpl %{name}-2.0.lang
%find_lang lgpl %{name}-2.0.lang
%suse_update_desktop_file gnome-about Documentation
%{__rm} -vf %{buildroot}%{_libdir}/*.la
%fdupes %{buildroot}

%clean
rm -rf %{buildroot}

%post -n libgnome-desktop-2-11 -p /sbin/ldconfig

%postun -n libgnome-desktop-2-11 -p /sbin/ldconfig

%files
%defattr (-, root, root)
%doc AUTHORS COPYING COPYING-DOCS ChangeLog NEWS README
%{_bindir}/*
%{_datadir}/applications/gnome-about.desktop
%{_datadir}/gnome-about
%{_datadir}/pixmaps/*.png
%{_datadir}/pixmaps/*.xpm
%doc %{_mandir}/man?/*.*

%files -n libgnome-desktop-2-11
%defattr(-, root, root)
%doc COPYING.LIB
%{_datadir}/libgnome-desktop
%{_libdir}/*.so.*

%files lang -f %{name}-2.0.lang
## ha/ig does not exist in Factory currently
##%if %suse_version <= 1110
# exclude locales which don't exist on old versions of openSUSE
%exclude %{_datadir}/locale/ig/LC_MESSAGES/*
##%endif

%files devel
%defattr (-, root, root)
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so
%{_includedir}/gnome-desktop-2.0
# Own these repositories to not depend on gtk-doc while building:
%dir %{_datadir}/gtk-doc
%dir %{_datadir}/gtk-doc/html
%{_datadir}/gtk-doc/html/gnome-desktop

%changelog
* Thu Dec 17 2009 dimstar@opensuse.org
- Update to version 2.28.2:
  + GnomeRR: Allow rotation if the virtual size has the correct
    number of pixels
- Changes from version 2.28.1:
  + Updated translations.
* Tue Sep 22 2009 dimstar@opensuse.org
- Update to version 2.28.0:
  + Updated translations.
* Wed Sep  9 2009 vuntz@opensuse.org
- Update to version 2.27.92:
  + Updated translations.
* Wed Aug 26 2009 vuntz@novell.com
- Update to version 2.27.91:
  + GnomeRR:
  - add support for primary monitor
  - in clone mode, don't label each output
  + GnomeBG:
  - add gnome_bg_changes_with_time() API
  - gnome_bg_create_frame_thumbnail() API
  + Build fixes.
  + gnome-about
  - Remove deprecated Encoding key from desktop file
  + Updated translations.
- Respin gnome-desktop-desktop.patch.
- Use spec-cleaner to reorder lines in preamble and split
  BuildRequires/Requires line on separate lines.
* Thu Jul 30 2009 vuntz@novell.com
- Change Requires from gnome-desktop to libgnome-desktop-2-11 in
  devel package.
* Wed Jul 29 2009 vuntz@novell.com
- Update to version 2.27.5:
  + Thumbnail:
  - Fix thumbnailer thread-safety
  + GnomeRR:
  - Get monitor vendor name from pnp.ids
  + gnome-about:
  - Remove libgnome usage
  + Updated translations.
- Do not package omf files twice.
- Ship COPYING.LIB in libgnome-desktop-2-11.
- Remove Requires on libgnome-desktop-2-11 in the main package:
  it's not true.
- Remove Requires on the main package in libgnome-desktop-2-11:
  it's not true either.
* Mon Jul 20 2009 vuntz@novell.com
- Update to version 2.27.4:
  + GnomeRR:
  - Adapt to RANDR 1.3's name for the EDID property
  + Updated translations.
* Tue Jun 16 2009 vuntz@novell.com
- Update to version 2.27.3:
  + GnomeRR:
  - Only select for RRScreenChangeNotifyMask, not for the more
    detailed RANDR 1.2 events
  - Don't ask for RANDR events if the caller doesn't specify a
    callback
  - Add _with_time() versions to the GnomeRR and GnomeRRConfig
    functions that change the RANDR configuration
  - Add gnome_rr_screen_get_timestamps() to query the XRR
    timestamps
  - Don't force a reprobe of the RANDR outputs on every RANDR
    event
  - First update screen resources, then update the screen size
    range
  - Add debug dialog to show the RANDR timestamps
  + Updated translations.
* Wed May 20 2009 vuntz@novell.com
- Update to version 2.26.2:
  + libgnome-desktop
  - Thumbnail: Preload /gnome/desktop/thumbnails in thumbnail
    factory for performance
  - GnomeRR: Fill out ScreenInfo structs sufficiently without
    reprobing
  - GnomeRR: Fix display name heuristics to result less in
    'Unknown'
  - Thumbnail: Code improvements
  - GnomeRR: Don't append a newline to monitor vendor names
  - GnomeRR: Make GnomeRRLabeler's labels explicitly black
  + Misc build system changes.
  + Updated translations.
* Tue Apr 14 2009 vuntz@novell.com
- Update to version 2.26.1:
  + libgnome-desktop
  - GnomeBG: handle X errors when the root properties point to
    something wrong when getting the root pixmap
  - GnomeRR: use XRRGetScreenResourcesCurrent() from RANDR 1.3
    when possible, when we only need to fetch the current RANDR
    status
  + gnome-about
  - Make parsing of gnome-version.xml more tolerant against
    missing fields
  + Misc
  - Add a --disable-date-in-gnome-version configure option to
    remove the build date from gnome-version.xml
  - Remove unused --with-kde-datadir configure option
- Drop gnome-desktop-no-date-in-version.patch: fixed upstream. Also
  disable autoreconf and remove gnome-common BuildRequires (that
  were added for this patch).
* Fri Mar 27 2009 vuntz@novell.com
- Add gnome-desktop-no-date-in-version.patch to be more
  build-compare-friendly, and use new
  - -disable-date-in-gnome-version configure option.
- Enable autoreconf for the patch, and add gnome-common
  BuildRequires.
- Remove -fno-strict-aliasing from CFLAGS.
* Tue Mar 17 2009 vuntz@novell.com
- Update to version 2.26.0:
  + GnomeRR: grab the X server while tweaking the RANDR
    configuration.
  + Remove scrollkeeper check, since it belongs to gnome-doc-utils
  + Updated translations.
- Remove scrollkeeper BuildRequires again.
* Mon Mar  9 2009 vuntz@novell.com
- Add scrollkeeper BuildRequires to fix build.
* Fri Mar  6 2009 vuntz@novell.com
- Update to version 2.25.92:
  + GnomeBG: Allow apps to ignore a pending change so they can
    avoid updating their background twice
  + GnomeBG: Blow all expensive caches if we're not gonna update
    the background again in one minute
  + GnomeBG: Do slightly less steps in slide transitions to avoid
    using to much resources on things that are not visible
  + GnomeBG: Remove outstanding transitions on finalize
  + GnomeRR: Use g_new0() instead of calloc() for consistency
  + GnomeRR: Fix leak
  + GnomeRR: Code cleanup
  + GnomeRR: Revert the change to use
    XRRGetScreenResourcesCurrent(), it's not needed anymore and it
    broke the "Detect Monitors" button
  + General: Make sure that the translation system is initiliazed
    so that translations can be used
  + Updated translations.
* Tue Feb 17 2009 mboman@suse.de
- Add Obsoletes/Provides for merged -doc package
* Tue Feb 17 2009 mboman@suse.de
- Update to version 2.25.91:
  + Translation updates
- Merge -doc into -devel since it only contained gtk-doc
- Remove gnome-common, gtk-doc and scrollkeeper from BuildRequires
* Mon Feb 16 2009 sbrabec@suse.cz
- Added support for translation-update-upstream (FATE#301344).
* Thu Feb  5 2009 mboman@suse.de
- Update to version 2.25.90:
  + GnomeRR: Create a backup file of the configuration when saving
  + GnomeRR: Add public API to get to
    $(XDG_CONFIG_HOME)/monitors.xml and a backup of that file
  + GnomeRR: Add gnome_rr_config_apply_from_filename()
  + GnomeRR: Deprecate gnome_rr_config_apply_stored()
  + Translation updates
* Sun Feb  1 2009 mboman@suse.de
- Update to version 2.25.5:
  + GnomeBG: use gdk_color_equal() instead of custom function
  + GnomeRR: use XRRGetScreenResourcesCurrent instead of
    XRRGetScreenResources when available (xrandr 1.3) because it's
    cheaper
  + GnomeBG: emit "transitioned" signal instead of "changed" signal for
    new frames in a slideshow background
  + GnomeBG: reorganize code a bit
  + GnomeBG: add fading API to support fading between two backgrounds
  + Translation updates
* Sun Feb  1 2009 vuntz@novell.com
- Update gnome-desktop-fate300461-desktop-gettext.patch: the inline
  translations were ignored if they were not matching the first
  language returned by g_get_language_names(), and gettext was
  used. This was not the intended behavior, and made it impossible
  to customize the name/comment of a launcher, eg.
* Fri Jan 23 2009 vuntz@novell.com
- Remove static libraries.
- Remove part of gnome-desktop-desktop.patch that is already
  handled with %%suse_update_desktop_file
- Sanitize BuildRequires and Requires.
- Minor tweaks.
* Fri Jan 23 2009 vuntz@novell.com
- Really drop gnome-desktop-foreign-for-screen.patch, fixed
  upstream.
* Sat Jan 17 2009 crrodriguez@suse.de
- remove "la" files, baby step to clean up all references
  to libavahi-*.la
* Sat Jan 10 2009 mboman@suse.de
- Remove gnome-desktop-randr-gerror.diff. Fixed upstream
* Fri Jan  9 2009 federico@novell.com
- Added gnome-desktop-randr-gerror.diff.  This adds GError reporting
  to the GnomeRR API, which in turn lets gnome-settings-daemon and
  gnome-control-center provide good error messages when something
  fails in multihead configuration.
- Removed gnome-desktop-randr-cloned-outputs.diff, as it is already
  part of the patch above.
* Tue Jan  6 2009 mboman@suse.de
- Update to version 2.25.4:
  + Translation updates
* Sat Dec 20 2008 mboman@suse.de
- Update to version 2.25.3:
  + libgnome-desktop
  - GnomeRR: plug leaks
  - GnomeRR: add API-breaking error reporting API
  - GnomeBG: fix potential crash with some empty slideshow
  - Build fixes
  + Translation updates
* Sun Dec 14 2008 mboman@suse.de
- Update to version 2.25.2:
  + libgnome-desktop
  - GnomeDesktopThumbnail: reenable check for preview::icon
  - GnomeRR: add Lenovo display name
  - GnomeBG: plug a leak
  - GnomeDesktopThumbnail: fix potential crash when a temporary file
    cannot be created
  + Misc
  - Require glib 2.19.1
  - Update a bit API documentation
  - Require GTK+ 2.14.0
  + Translation updates
- Remove icon-search-path.dif. Not valid due to API/ABI changes
- Remove gnome-desktop-randr-cloned-outputs.diff. Fixed upstream
* Tue Nov 11 2008 rodrigo@novell.com
- Add upstream patch for bgo#555701
* Wed Oct 22 2008 maw@suse.de
- Update to version 2.24.1:
  + Updated translations.
* Sat Oct  4 2008 mboman@suse.de
- Update to version 2.24.0:
  + GnomeRR: don't try and set the screen size if turning off any of the
    CRTC's failed
  + GnomeDesktopItem: compute the length of the string passed to
    gnome_desktop_item_new_from_string if the len is not specified
  + Translation updates
* Mon Sep 15 2008 mboman@novell.com
- Update to version 2.23.92:
  + GnomeRR: fix compilation on Solaris
  + Misc: Fix compilation with old Xorg with no pkg-config files
  + Translation updates
* Fri Sep 12 2008 vuntz@novell.com
- Update gnome-desktop-fate300461-desktop-gettext.patch to make it
  able to load translations from the desktop-translations package.
  This is part of fate#300461 again.
* Wed Sep 10 2008 federico@novell.com
- Added gnome-desktop-randr-cloned-outputs.diff to provide
  infrastructure needed to support switching display output modes on
  laptops with the Fn-F7 (XF86Display) hotkey.  The actual handling of
  the hotkey happens in the gnome-settings-daemon package.
* Wed Sep  3 2008 mboman@novell.com
- Update to version 2.23.91:
  + Fix leak
  + GnomeRR: allow E-EDID blocks
  + Fix compilation with old Xorg with no pkg-config files
  + Translation updates
* Fri Aug 29 2008 maw@suse.de
- Update to version 2.23.90:
  + Add support for randr monitor labling (so drop
    gnome-desktop-randr-monitor-labeling.diff, which previously
    implemented this but now is upstream)
  + Updated translations.
* Fri Aug 15 2008 federico@novell.com
- Added gnome-desktop-randr-monitor-labeling.diff.  This implements an
  API to label physical monitors while their RANDR options are being
  configured.
* Tue Aug  5 2008 rodrigo@suse.de
- Update to version 2.23.6:
  + Fix build with gcc 2.x (Jens Granseuer)
  + GnomeBG: fix handling of empty filenames (Soren Sandmann)
  + GnomeBG: word around non-atomic gconf for emitting changed signals
    only once (Soren Sandmann)
- Remove upstreamed randr1.2 patch
* Mon Jul 28 2008 vuntz@novell.com
- Add gnome-desktop-fate300461-desktop-gettext.patch to support
  translation of desktop entries via gettext. This is part of
  fate#300461
* Mon Jul  7 2008 ro@suse.de
- update baselibs.conf
  (it is called libgnome-desktop-2-7 by now)
* Thu Jul  3 2008 aj@suse.de
- Revert last change, it's needed for gnome-panel.
* Mon Jun 30 2008 aj@suse.de
- Remove gnome-desktop from baselibs.conf.
* Fri Jun 20 2008 maw@suse.de
- Update to version 2.23.4:
  + Require intltool 0.40.0
  + Updated translations.
* Mon Jun 16 2008 maw@suse.de
- Update to version 2.23.3:
  + libgnome-desktop:
  * Do not force the top-left corner of the image to fit in
    the screen, so that zoomed image appears to be zoomed from
    the center of the screen
  * Add gnome_bg_load_from_preferences(), so applications don't
    have to rely on libbackground
  * GnomeBG: Fix some logic errors wrt to caching of slideshows
    that may cause nautilus crashes
  * GnomeBG: Support multi-resolution backgrounds
  * GnomeBG: Falls back to the default image if the user's
    background doesn't exist
  * GnomeBG: Prevent loops caused by setting URI
  * GnomeBG: Fix leak
  * GnomeBG: Get rid of URIs and only use paths
  * GnomeBG: Make sure tiles are at least 24 pixels wide
  * GnomeBG: Some tweaks to the tile scaling heuristic
  * GnomeBG: Small fixes
  * GnomeBG: Add getters for the various properties
  * GnomeBG: Monitor the image file
  + gnome-about:
  * Don't skip the last description from gnome-version.xml (Matt Keenan)
  * Convert the strftime() output to UTF-8 (Takao Fujiwara)
  + Updated translations
- Rename the libgnome-desktop shared library subpackage.
* Thu May 29 2008 federico@novell.com
- Updated gnome-desktop-randr-1.2.diff with the latest fixes from upstream.
* Sun May 11 2008 coolo@suse.de
- fix renames of xxbit packages
* Wed May  7 2008 federico@novell.com
- Updated gnome-desktop-randr-1.2.diff with bugfixes from Fedora and Ubuntu.
* Tue Apr 29 2008 cthiel@suse.de
- obsolete gnome-desktop-<arch> via baselibs.conf
* Fri Apr 25 2008 federico@novell.com
- Added gnome-desktop-randr-1.2.diff to integrate the new
  functionality to configure RandR 1.2.
* Mon Apr 21 2008 vuntz@suse.de
- Rewrite gnome-desktop-recently-used-apps.patch so that it
  applies.
* Thu Apr 10 2008 maw@suse.de
- Update to version 2.22.1:
  + Fix some compiler warnings
  + Handle start time in the future correctly in GnomeBG
  + Updated translations.
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Tue Apr  1 2008 vuntz@suse.de
- Remove uz@cyrillic workaround (see bnc#372941)
* Fri Mar 14 2008 maw@suse.de
- Update to version 2.22.0:
  + Updated translations.
* Tue Mar  4 2008 maw@suse.de
- Update to version 2.21.92:
  + libgnome-desktop:
  * Fix crash in GnomeBG
  * Fix GnomeBG gio port
  + gnome-about:
  * Fix translator comment not available in po files
  * Fix TypeError crasher in a print statement
  + Misc:
  * Use gvfs-copy instead of gnomevfs-copy in autogen.sh
  + Updated translations.
* Mon Feb 18 2008 maw@suse.de
- Update to version 2.21.91:
  + libgnome-desktop:
  * Fix invalid read
  * Fix compilation issue caused by some headers
  * Port to gio
  * Fix crash in GnomeBG when file is empty
  + gnome-about:
  * Add back a --version option
  + Require gio, and get rid of gnome-vfs
  + Updated translations.
* Fri Feb  1 2008 maw@suse.de
- Update to version 2.21.90:
  + Add GNOME_DESKTOP_USE_UNSTABLE_API API guard
  + Updated translations
- Build with -fno-strict-aliasing.
* Thu Jan 24 2008 rodrigo@suse.de
- Updated to GNOME 2.21.5 version:
  * gnome-about: Don't keep the window centered
  * gnome-about: Fix problem when the color of the logo is wrong
    when changing theme
  * gnome-about: Cleanups
  * gnome-about: Slow down a bit the animation for the description
    so people can actually read it
  * Add check for X11 libraries
  * Translations update
* Tue Sep 18 2007 sbrabec@suse.cz
- Updated to version 2.20.0:
  * gnome-about: Display the list of Foundation members too
  * Remove gnome-vfs dependency for gnome-about
  * Remove spec file
  * Translations update
* Mon Sep 10 2007 mauro@suse.de
- Update to version 2.19.92:
  + Updated translations.
  + Updated README
* Thu Aug 30 2007 maw@suse.de
- Update to version 2.19.90:
  + Updated translations.
* Tue Aug 14 2007 maw@suse.de
- Rename the uz@cyrillic locale directory to uz@Cyrl to avoid
  unowned directories.
* Wed Aug  8 2007 maw@suse.de
- Use %%fdupes
- Split off a -lang subpackage
- s#%%run_ldconfig#/sbin/ldconfig/ in %%post and %%postun.
* Thu Aug  2 2007 mauro@suse.de
- Update to version 2.19.6
- Dependencies fixes.
* Fri Jul  6 2007 maw@suse.de
- Update to version 2.19.4
- Updated translations
- Some tangoified icons
- Requires newer versions of glib2 and gtk2.
* Fri Jun 22 2007 maw@suse.de
- Require libopenssl-devel in the -devel subpackage
- Let the automagic requirements stuff do all the work.
* Thu Jun  7 2007 sbrabec@suse.cz
- Removed invalid desktop Category "Application" (#254654).
* Fri Apr 27 2007 sbrabec@suse.cz
- Do not call meinproc (#227624).
* Thu Apr 12 2007 maw@suse.de
- Update to version 2.18.1
- Minor fixes
- Updated translations for both the documentation (ar and ca)
  and the software itself (dz, es, eu, gl, ku, and lv).
* Fri Mar 23 2007 maw@suse.de
- Update to version 2.18.0
- Few, minor changes.
* Mon Feb 19 2007 maw@suse.de
- Update to version 2.17.91.
* Wed Feb  7 2007 sbrabec@suse.cz
- Do not build unusable static libraries (#238552).
* Sun Jan  7 2007 sbrabec@suse.cz
- Splitted gnome-desktop-doc from gnome-desktop.
* Thu Dec 14 2006 maw@suse.de
- Move to /usr
- Some specfile cleanup.
* Tue Nov 21 2006 sbrabec@suse.cz
- Do not explicitly require mDNSResponder-lib blocking avahi compat
  package.
* Wed Nov 15 2006 jimmyk@suse.de
- Updated recently-used-apps.patch to be compatible with new recently-used
  format, BNC #221392.
* Fri Oct 13 2006 ro@suse.de
- added gnome-doc-utils-devel to buildreq
* Mon Oct  2 2006 jhargadon@suse.de
- update to version 2.16.1
- updated translations
* Wed Sep 13 2006 jhargadon@suse.de
- update to version 2.16.0
- updated translations
* Tue Sep 12 2006 danw@suse.de
- update X-KDE-SubstituteUID.dif for 2.15 and re-enable it. #202076
* Wed Aug 30 2006 jhargadon@suse.de
- update to version 2.15.92
- Remove gnome-workspace icon
- Doc Translations
* Fri Aug 18 2006 jhargadon@suse.de
- update to version 2.15.91
- Use a useful icon theme in gnome_desktop_item_find_icon() when no
  icon theme is passed as argument so we get results
* Fri Aug 11 2006 jhargadon@suse.de
- updated to version 2.15.90
- Set GNOME_PARAM_APP_DATADIR in test application
- Save some memory in gnome-about
- Make URI canonical before using them
- Remember the added locales in GnomeDitemEdit
- Sort locales list in GnomeDitemEdit
- Use gdk_x11_display_get_user_time() to get the launch time
- Don't crash when launching a desktop file without specifying a
  screen
* Mon May  8 2006 jimmyk@suse.de
- Fix recently-used-apps patch, colliding libegg symbols (BNC #158106).
* Mon Mar 20 2006 danw@suse.de
- Fix the error message mentioned in #156801 (though not the dialog
  box, which turns out to be a separate bug).
* Tue Feb 28 2006 jimmyk@suse.de
- Added .recently-used-apps support (BNC #152405)
* Tue Feb 28 2006 sbrabec@suse.cz
- Use kdelibs3-doc in BuildRequires for meinproc (#153635#c14).
* Mon Feb 27 2006 ro@suse.de
- added kdelibs3-devel-doc to BuildRequires
* Sat Feb  4 2006 aj@suse.de
- Reduce BuildRequires.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Nov 30 2005 gekker@suse.de
- Update to version 2.12.2
* Wed Nov 16 2005 sbrabec@suse.cz
- Fixed X-KDE-SubstituteUID patch for commands with arguments
  (#133942).
* Wed Oct 12 2005 gekker@suse.de
- Update to version 2.12.1
* Mon Sep  5 2005 rodrigo@suse.de
- Update to version 2.12.0
* Mon Aug 22 2005 gekker@suse.de
- Update to version 2.11.92
* Tue Aug  2 2005 gekker@suse.de
- Update to version 2.11.90
* Fri Jul 22 2005 gekker@suse.de
- Update to version 2.11.5
* Fri Jun 17 2005 gekker@suse.de
- Update to version 2.11.3
* Wed Jun  1 2005 sbrabec@suse.cz
- Fixed devel requirements.
* Mon May 23 2005 sbrabec@suse.cz
- Require libgnomesu instead of kdebase.
* Fri May 13 2005 sbrabec@suse.cz
- Call gnomesu for root-only binaries.
* Tue Mar 22 2005 sbrabec@suse.cz
- Typo fix in desktop file (#72816).
* Wed Mar 16 2005 clahey@suse.de
- Add an icon (gnome-about-logo-transparent).
* Thu Mar 10 2005 adrian@suse.de
- kick build check workaround and apply translations to desktop file
- show gnome about dialog only in gnome
* Wed Mar  9 2005 gekker@suse.de
- Update to version 2.10.0 (GNOME 2.10).
* Thu Mar  3 2005 gekker@suse.de
- update to version 2.9.92
* Thu Feb 10 2005 gekker@suse.de
- Update to version 2.9.91
* Tue Feb  8 2005 sbrabec@suse.cz
- Changed Categories for gnome-about (#50440).
* Sun Feb  6 2005 gekker@suse.de
- Update to version 2.9.90.1
* Sat Jan 22 2005 gekker@suse.de
- Fixing the broken build
* Fri Jan 21 2005 gekker@suse.de
- Update to version 2.9.4
* Tue Nov  2 2004 ro@suse.de
- locale rename: no -> nb
* Mon Oct  4 2004 sbrabec@suse.cz
- Updated Czech translation (#46621),
* Wed Sep 29 2004 hhetter@suse.de
- change distributor to SUSE
* Mon Sep 20 2004 shprasad@suse.de
- Fixes bug #65062 (Fix given by svasista@novell.com)
  Fixes a crash when menu item is deleted.
* Wed Aug 25 2004 clahey@suse.de
- Cache gnome-desktop help files.
* Thu Aug 19 2004 rml@novell.com
- Fix bug #62316: Use kdesu not gnomesu
* Tue Aug 17 2004 sbrabec@suse.cz
- Added gnomesu needed by X-KDE-SubstituteUID.dif to requires (#43867).
* Wed Jul 28 2004 clahey@suse.de
- Change distributor from GNOME Project to Novell, Inc.
* Tue May  4 2004 clahey@suse.de
- Updated to version 2.6.0.1.
- Updated X-KDE-SubstituteUID based on changes in base package.
- Added patch to provide .directory files for new GNOME menu layout.
* Wed Mar 31 2004 hhetter@suse.de
- added X-KDE-RootOnly Interpretation (#37660)
* Wed Mar 17 2004 hhetter@suse.de
- fix gnomesu call in X-KDE-SubstituteUID
* Mon Mar 15 2004 sbrabec@suse.cz
- FHS 2.3 fix (mandir, infodir, #35821).
* Wed Mar 10 2004 sbrabec@suse.cz
- Fixed %%doc attributes (#33163).
* Sat Jan 10 2004 adrian@suse.de
- add %%defattr and %%run_ldconfig
* Mon Oct 27 2003 sbrabec@suse.cz
- Updated to version 2.4.1.1.
* Fri Oct 17 2003 ro@suse.de
- fix build on x86_64 running all autotools
* Tue Oct  7 2003 sbrabec@suse.cz
- Updated to version 2.4.0 (GNOME 2.4).
* Mon Sep 22 2003 sbrabec@suse.cz
- Obsolete gnome-core (bug #31480),
* Mon Sep 15 2003 hhetter@suse.de
- expand iconpath for KDE crystalsvg stuff in all sizes
* Fri Sep 12 2003 hhetter@suse.de
- enable X-KDE-SubstituteUID
- fix kdedir setting
* Mon Jul 14 2003 sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Tue Jun 24 2003 sbrabec@suse.cz
- Updated to version 2.2.2.
- Use %%find_lang.
- Fixed filelist.
- Compressed man pages.
- Standard docs moved away from gnome-core2.
* Tue Mar  4 2003 hhetter@suse.de
- provide links for susewm icons in first place, making
  the GNOME susewm menu more consistent
* Mon Feb 10 2003 hhetter@suse.de
- updated to version 2.2.0.1 [GNOME 2.2.0]
* Tue Jan 28 2003 hhetter@suse.de
- updated to version 2.2.0
* Thu Jan 16 2003 sbrabec@suse.cz
- Updated to version 2.1.90.
- Updated %%files and license.
* Thu Jan 16 2003 sbrabec@suse.cz
- Added libjpeg to neededforbuild.
* Fri Nov 29 2002 hhetter@suse.de
- add suse paths to the icon loader
* Thu Nov 28 2002 hhetter@suse.de
- updated to version 2.0.10 [GNOME 2.0.3]
- removed hu-translation because translations have been updated
* Mon Nov 11 2002 ro@suse.de
- changed neededforbuild <xf86 xdevel> to <x-devel-packages>
* Tue Sep 24 2002 sbrabec@suse.cz
- Added alsa-devel to neededforbuild, because esound-devel can require it.
* Thu Sep 19 2002 sbrabec@suse.cz
- Added alsa to neededforbuild, because esound can depend on it.
* Tue Sep 17 2002 hhetter@suse.de
- added corrected hu po-files
* Tue Aug 13 2002 hhetter@suse.de
- fix neededforbuild
* Thu Aug  8 2002 hhetter@suse.de
- updated to version 2.0.6
  * Don't stat all icons on startup
  * Fix #89245, picking an .xpm over a .png
  * Also read icons from our installed prefix
  * Fix GConfClient leaks
* Mon Aug  5 2002 hhetter@suse.de
- updated to version 2.0.5
  * fix bogus file reference
* Tue Jul 30 2002 hhetter@suse.de
- updated to version 2.0.4
  * Truncate .desktop file after opening
  * Remove numeric canonization
  * Add APPEND_PATHS flag
  * Sort out libtool versioning
  * Translation updates
* Tue Jul 23 2002 hhetter@suse.de
- updated to version 2.0.3, req. for Nautilus 2.0.1
* Thu Jun 27 2002 hhetter@suse.de
- updated to version 2.0.2 (gnome 2.0 final)
* Thu Jun 20 2002 hhetter@suse.de
- updated to version 2.0.1
* Mon Jun 10 2002 hhetter@suse.de
- updated to version 2.0.0
  - many translation updates
* Tue Jun  4 2002 hhetter@suse.de
- updated to frozen source version 1.5.22
* Wed May 15 2002 ro@suse.de
- use libdir
* Wed Apr 10 2002 hhetter@suse.de
- initial release for GNOME 2.0 platform
